Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Post an announcement

POST/api/admin/announcements
Request body
requiredapplication/json
titlestringrequired
min length 1
bodyHtmlstringrequired
min length 1
isPinnedboolean
Responses
200

Response for status 200

idstringrequired
titlestringrequired
bodyHtmlstringrequired
isPinnedbooleanrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
400

Response for status 400

errorstringrequired
401

Unauthorized

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Response for status 500

errorstringrequired
Try it
Server
Bodyapplication/json
Request
curl -X POST '/api/admin/announcements' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "bodyHtml": "string",
  "isPinned": true
}'
Response
{
  "id": "string",
  "title": "string",
  "bodyHtml": "string",
  "isPinned": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Was this page helpful?